<?php

require_once ( get_stylesheet_directory() . '/theme-options.php' );

// Content Width

if(!isset($content_width)) $content_width = 586;

// Localization

global $locale;

if((isset($_GET['lang'])) && ($_GET['lang'] == 'ro')) $locale = 'ro_RO';
if((isset($_GET['lang'])) && ($_GET['lang'] == 'de')) $locale = 'de_DE';

load_theme_textdomain ('cover-wp');

// Automatic Feed Links

add_theme_support('automatic-feed-links');

// Custom Header

define('HEADER_TEXTCOLOR', 'eaeaea');
define('HEADER_IMAGE', '%s/images/header.png'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', 974);
define('HEADER_IMAGE_HEIGHT', 95);
//define( 'NO_HEADER_TEXT', true );

function header_style() {
?>
<style type="text/css">
#header{ background:#505050 url(<?php header_image(); ?>); }
<?php if ( 'blank' == get_header_textcolor() ) { ?>
#header {
	background:url(<?php header_image(); ?>);
	width:<?php echo HEADER_IMAGE_WIDTH; ?>px;
	height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;
}
#header #site-heading, #header #site-description { display: none; }
<?php } else { ?>
#header #site-heading a, #header #site-description { color:#<?php header_textcolor(); ?>; }
#header #site-heading a:hover, #header #site-heading a:active { border-bottom:#<?php header_textcolor(); ?> 1px dotted; }
<?php } ?>
</style>
<?php
}

function twentyten_admin_header_style() { ?>
<style type="text/css">
#headimg {
	color:#<?php header_textcolor() ?>;
	background:url(<?php header_image(); ?>);
	width:<?php echo HEADER_IMAGE_WIDTH; ?>px;
	height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;
}
#headimg h1 {
	font-weight:normal;
	color:#<?php header_textcolor(); ?>;
	padding-top:20px;
	margin-left:40px;
}
#headimg h1 a {
	color:#<?php header_textcolor(); ?>;
	text-decoration:none;
}
#headimg h1 a:hover, #headimg h1 a:active { border-bottom:#<?php header_textcolor(); ?> 1px dotted; }
#headimg #desc {
	color:#<?php header_textcolor(); ?>;
	padding:0 0 20px 80px;
}
<?php if ( 'blank' == get_header_textcolor() ) { ?>
#headimg {
	background:url(<?php header_image(); ?>);
	width:<?php echo HEADER_IMAGE_WIDTH; ?>px;
	height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;
}
#headimg h1, #headimg #desc {
	display: none;
	text-decoration:none;
}
#headimg h1 a, #headimg #desc { color:#<?php echo HEADER_TEXTCOLOR; ?>; }
<?php } ?>
</style>
<?php
}

register_default_headers(
	array (
		'header_alt' => array (
			'url' => '%s/images/header_alt.png',
			'thumbnail_url' => '%s/images/header_alt.png',
			'description' => __( 'Alternative Header', 'cover-wp' )
		)
	)
);

add_custom_image_header('header_style', 'twentyten_admin_header_style');

// Widgetable Areas

if ( function_exists('register_sidebar') ) 
{     
  register_sidebar(array('name' => 'Header','before_widget' => '<div id="%1$s" class="hitem widget %2$s">','after_widget' => '</div><!-- /hitem -->','before_title' => '<h3>','after_title' => '</h3>'));  
  register_sidebar(array('name' => 'Sidebar Top','before_widget' => '<div id="%1$s" class="topitem widget %2$s">','after_widget' => '</div><!-- /topitem -->','before_title' => '<h3>','after_title' => '</h3>'));     
  register_sidebar(array('name' => 'Sidebar Left','before_widget' => '<div id="%1$s" class="sitem widget %2$s">','after_widget' => '</div><!-- /sitem -->','before_title' => '<h3>','after_title' => '</h3>')); 
  register_sidebar(array('name' => 'Sidebar Right','before_widget' => '<div id="%1$s" class="sitem widget %2$s">','after_widget' => '</div><!-- /sitem -->','before_title' => '<h3>','after_title' => '</h3>'));   
  register_sidebar(array('name' => 'Sidebar Bottom','before_widget' => '<div id="%1$s" class="sitem widget %2$s">','after_widget' => '</div><!-- /sitem -->','before_title' => '<h3>','after_title' => '</h3>'));    
  register_sidebar(array('name' => 'Footer','before_widget' => '<div id="%1$s" class="flinks widget %2$s">','after_widget' => '</div><!-- /flinks -->','before_title' => '<h3>','after_title' => '</h3>'));
}

// Page Title

function display_title($s)
{
  if (is_404())
    _e('Page Not Found ','cover-wp');
  elseif (is_search())
  {
    _e('Search Results for ','cover-wp');
    echo '&quot;'.$s.'&quot; ';
  }
  elseif (is_tag())
  {
    _e('Entries tagged with ','cover-wp');
    echo '&quot;'.single_tag_title("", false).'&quot; ';
  }
  else
    wp_title(' ');
  if(wp_title(' ', false)) echo ' | ';
  bloginfo('name');
}

// Get Current URL

function get_current_context_url(){
global $wp_query;
global $wpdb;

$url = '';
if (is_category()) {
$cat_id = $wp_query->query_vars['cat'];
$url = get_category_link($cat_id);
}
elseif (is_tag()) {
$tag_name = $wp_query->query_vars['tag'];
$tag_id = $wpdb->get_var("SELECT ".$wpdb->terms.".term_id FROM $wpdb->term_taxonomy
LEFT JOIN $wpdb->terms
ON (".$wpdb->term_taxonomy.".term_id = ".$wpdb->terms.".term_id)
WHERE ".$wpdb->terms.".slug = '$tag_name'
AND ".$wpdb->term_taxonomy.".taxonomy = 'post_tag'
LIMIT 1");
$url = get_tag_link($tag_id);
}
elseif (is_author()) {
$author_id = $wp_query->query_vars['author'];
$url = get_author_posts_url($author_id);
}
if ("/" != substr($url, -1)) {
$url = $url . "/";
}
return $url;
}

// List Most Commented

function list_most_commented() {
  global $wpdb;
  $posts = $wpdb->get_results("SELECT comment_count,ID,post_title,post_status FROM $wpdb->posts WHERE post_status='publish' ORDER BY comment_count DESC LIMIT 0 , 6");
  foreach ($posts as $post) {
    $postid = $post->ID;
	$title = $post->post_title;
	$commentcount = $post->comment_count;
	$poststatus = $post->post_status;
	if (($commentcount) && ($poststatus = 'publish')) { ?>
      <li><a href="<?php echo get_permalink($postid); ?>" title="<?php echo $title ?>"><?php echo $title ?></a></li> 	
      <?php }
  }
}

// Custom Excerpt

remove_filter('get_the_excerpt', 'wp_trim_excerpt');
add_filter('get_the_excerpt', 'custom_trim_excerpt');

function custom_trim_excerpt($text) { // Fakes an excerpt if needed
global $post;
		$text = get_the_content('');

		$text = strip_shortcodes( $text );

		$text = apply_filters('the_content', $text);
		$text = str_replace(']]>', ']]&gt;', $text);
		$text = strip_tags($text);
		$length = 150;
		$excerpt_length = apply_filters('excerpt_length', $length);
		$words = explode(' ', $text, $excerpt_length + 1);
		if (count($words) > $excerpt_length) {
			array_pop($words);
			array_push($words, '...');
			$text = implode(' ', $words);
		}
	return $text;
}

// Post Thumbnails

if ( function_exists( 'add_theme_support' ) )
{
  add_theme_support( 'post-thumbnails', array( 'post' ) );
  set_post_thumbnail_size( 50, 50, true );
}

function display_thumbnail($width, $height, $words,$inc)
{
if ( function_exists( 'has_post_thumbnail' ) && has_post_thumbnail() )
{
	$title = get_the_title();
	the_post_thumbnail(array($width,$height), array('alt' => $title));
}
else $words = $words + $inc;
return $words;
}

// Popular Posts Section

function display_popular() {
  global $wpdb;
  $words = 17;
  $backup = $words;
  $order = get_option('cover_wp_popular');
  if ($order == 'views') :
    $metakey = "AND meta_key = '_views'";
	$orderby = "$wpdb->postmeta.meta_value+0";
  else:
    $orderby = "comment_count";
  endif;
  $result = $wpdb->get_results("SELECT $wpdb->posts.* FROM  $wpdb->posts LEFT JOIN $wpdb->postmeta ON $wpdb->postmeta.post_id = $wpdb->posts.ID WHERE post_type='post' AND post_status='publish' $metakey ORDER BY $orderby DESC, 5");
  $hdl = 1;
  $ppl = 0;
  foreach ($result as $topfive) {
    $postid = $topfive->ID;
	$title = $topfive->post_title;
	$content = $topfive->post_content;
	$content = strip_tags($content);
	$commentcount = $topfive->comment_count;
	$excerpt = explode(' ',$content);
    if($ppl < 3) { ?>
      <div class="spost">
        <h2><a href="<?php echo get_permalink($postid); ?>" title="<?php _e('Permanent Link to','cover-wp') ?> <?php echo $title ?>"><?php echo $title ?></a></h2>
              <?php 
				
if ( function_exists( 'has_post_thumbnail' ) && has_post_thumbnail($postid) )
{
	echo get_the_post_thumbnail($postid, array(95,80), array('alt' => $title));
}
else $words = $words + 15;
if(count($excerpt) > $words) $count = $words;
				else $count = count($excerpt); ?>
                <p><?php for($i = 0; $i <= $count - 1; $i++) { echo $excerpt[$i]; echo ' '; } echo '&#8230;'; ?> <a href="<?php echo get_permalink($postid) ?>"><?php _e('Read more','cover-wp') ?> &raquo;</a></p>
      </div><!-- /spost -->
      <div class="spbottom"></div> <?php }
	  $words = $backup;
	  $ppl++;
  }
}

// Twitter account Settings

add_action( 'show_user_profile', 'my_show_extra_profile_fields' );
add_action( 'edit_user_profile', 'my_show_extra_profile_fields' );

function my_show_extra_profile_fields( $user ) { ?>

	<h3>Extra profile information</h3>

	<table class="form-table">

		<tr>
			<th><label for="twitter">Twitter</label></th>

			<td>
				<input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" /><br />
				<span class="description">Please enter your Twitter username.</span>
			</td>
		</tr>

	</table>
<?php }

add_action( 'personal_options_update', 'my_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'my_save_extra_profile_fields' );

function my_save_extra_profile_fields( $user_id ) {

	if ( !current_user_can( 'edit_user', $user_id ) )
		return false;

	/* Copy and paste this line for additional fields. Make sure to change 'twitter' to the field ID. */
	update_user_meta( $user_id, 'twitter', $_POST['twitter'] );
}

// Social Bookmarking Links

function share_save_container() { ?>

                <div class="share_save_container">
                  <ul class="share_save_list">
                    <li><a href=" http://digg.com/submit?phase=2&url=<?php echo rawurlencode(get_permalink());?>&title=<?php echo rawurlencode(get_the_title()); ?>" title="Digg this!" rel="nofollow" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/images/share/digg.png" alt="Digg this!"></a></li>
                    <li><a href=" http://del.icio.us/post?v=4&noui&jump=close&url=<?php echo rawurlencode(get_permalink()); ?>&title=<?php echo rawurlencode(get_the_title()); ?>" title="Add to del.icio.us!" rel="nofollow" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/images/share/delicious.png" alt="Add to del.icio.us!"></a></li>
                    <li><a href="http://www.stumbleupon.com/submit?url=<?php echo rawurlencode(get_permalink()); ?>&title=<?php echo rawurlencode(get_the_title()); ?>" title="Stumble this!" rel="nofollow" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/images/share/stumbleupon.png" alt="Stumble this!"></a></li>
                    <li><a href=" http://technorati.com/faves?add=<?php echo rawurlencode(get_permalink()); ?>" title="Add to Techorati!" rel="nofollow" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/images/share/technorati.png" alt="Add to Techorati!"></a></li>
                    <li><a href="http://twitter.com/?status=<?php echo rawurlencode(get_the_title()); echo rawurlencode(' '.get_permalink()); if(get_the_author_meta('twitter') != '') { echo rawurlencode(' (via @'); the_author_meta('twitter'); echo rawurlencode(')'); } ?>" title="ReTweet" rel="nofollow" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/images/share/twitter.png" alt="Twitter"/></a></li>
                    <li><a href="http://www.facebook.com/sharer.php?u=<?php echo rawurlencode(get_permalink()); ?>&t=<?php echo rawurlencode(get_the_title()); ?>" title="Share on Facebook!" rel="nofollow" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/images/share/facebook.png" alt="Share on Facebook!"></a></li>
                    <li><a href=" http://reddit.com/submit?url=
<?php echo rawurlencode(get_permalink()); ?>&title=<?php echo rawurlencode(get_the_title()); ?>" rel="nofollow" title="Reddit!" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/images/share/reddit.png" alt="Reddit!"></a></li>
                    <li><a href="ymsgr:sendim?m=<?php the_permalink(); ?>" title="Yahoo Messenger" rel="nofollow" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/images/share/yim.png" alt="Yahoo Messenger"/></a></li>
                  </ul><!-- /share_save_list -->
                </div><!-- /share_save_container -->

<?php }

// Recent Comments

function latest_comments()
{
  global $wpdb;

  $comments = get_comments('status=approve&number=5');
  if ($comments)
  {
    foreach ($comments as $comment)
    {
      echo '<li class="recentcomments">';
      echo '<a href="'.get_permalink($comment->comment_post_ID).'#comment-'.$comment->comment_ID.'">'.$comment->comment_author.'</a>';
      echo ' '.__('on','cover-wp').' <a href="'.get_permalink($comment->comment_post_ID).'">'.get_the_title($comment->comment_post_ID).'</a><br/>';
	  $content = $comment->comment_content;
	  $content = substr_replace($content, '', 80);
      echo '<em>&quot;'.strip_tags ($content).'&#8230;&quot;</em></li>';
    }
  }
}

// Unregister WP-Page-Navi Stylesheet

add_action( 'wp_print_styles', 'my_deregister_styles', 100 );

function my_deregister_styles() {
	wp_deregister_style( 'wp-pagenavi' );
}

// Remove potentially unnecessary tags from head

remove_action('wp_head', 'rsd_link');
// remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'start_post_rel_link');
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'adjacent_posts_rel_link');

/* *** WordPress 3.0 Features *** */

// Custom Background

if ( function_exists( 'add_custom_background' ) ) add_custom_background('cwp_custom_background_cb');


function cwp_custom_background_cb() {
	$background = get_background_image();
	$color = get_background_color();
	if ( ! $background && ! $color )
		return;

	$style = $color ? " #$color" : '';

	if ( $background ) {
		$image = " url('$background')";

		$repeat = get_theme_mod( 'background_repeat', 'repeat' );
		if ( ! in_array( $repeat, array( 'no-repeat', 'repeat-x', 'repeat-y', 'repeat' ) ) )
			$repeat = 'repeat';
		$repeat = " $repeat";

		$position = get_theme_mod( 'background_position_x', 'left' );
		if ( ! in_array( $position, array( 'center', 'right', 'left' ) ) )
			$position = 'left';
		$position = " top $position";

		$attachment = get_theme_mod( 'background_attachment', 'scroll' );
		if ( ! in_array( $attachment, array( 'fixed', 'scroll' ) ) )
			$attachment = 'scroll';
		$attachment = " $attachment";

		$style .= $image . $repeat . $position . $attachment;
	}
?>
<style type="text/css">
body { background:<?php echo trim( $style ); ?>; }
</style>
<?php
}

// Custom Menus

function mytheme_addmenus() {
	if ( function_exists( 'register_nav_menus' ) )
		register_nav_menus(
		array(
			'main_nav' => 'Main Menu', // You can add more menus here
		)
	);
}

add_action( 'init', 'mytheme_addmenus' );

function mytheme_nav() {
    if ( function_exists( 'wp_nav_menu' ) )
        wp_nav_menu( array('theme_location' => 'main_nav', 'container' => '', 'menu_id' => 'menu', 'fallback_cb' => 'mytheme_nav_fallback') );
    else
        mytheme_nav_fallback();
}

function mytheme_nav_fallback() { ?>
    <ul id="menu">
      <li<?php if(is_home()) echo ' class="current_page_item"'; ?>><a href="<?php echo home_url(); ?>/">Home</a></li>
      <?php wp_list_pages('sort_column=menu_order&title_li='); ?>
    </ul><!-- /menu --><?php
}

// Custom Editor Style

if ( function_exists( 'add_editor_style' ) ) add_editor_style();

?>